KULR Technology Group Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/kulr-technology-group-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/kulr-technology-group-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1749427200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1662684/000110465925057631/tm2517423d2_8k.htm",
    "holding_balance": 920.0,
    "holding_net_change": 120.53,
    "transaction_value_usd": 13000000.0,
    "average_entry_value_usd": 107861.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1752019200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://bitcoinmagazine.com/news/kulr-technology-increases-bitcoin-holdings-to-101-million",
    "holding_balance": 1021.0,
    "holding_net_change": 90.0,
    "transaction_value_usd": 9799560.0,
    "average_entry_value_usd": 108884.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://d18rn0p25nwr6d.cloudfront.net/CIK-0001662684/5e18a68d-560b-41e8-b910-0e960577ca26.html#",
    "holding_balance": 1056.69,
    "holding_net_change": 90.0,
    "transaction_value_usd": 9799993.0,
    "average_entry_value_usd": 108888.81,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/kulr-technology-group-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    1056.69
  ],
  [
    1782950400000,
    1056.69
  ],
  [
    1783036800000,
    1056.69
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/kulr-technology-group-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    63363940.33950001
  ],
  [
    1782950400000,
    64973575.08270001
  ],
  [
    1783036800000,
    66070588.3731
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/kulr-technology-group-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 3.75,
    "date": "2026-06-30",
    "high": 4.2,
    "open": 3.93,
    "close": 3.81,
    "volume": 2010100
  },
  {
    "low": 3.75,
    "date": "2026-07-01",
    "high": 4.2,
    "open": 3.75,
    "close": 3.87,
    "volume": 1783000
  },
  {
    "low": 3.72,
    "date": "2026-07-02",
    "high": 4.24,
    "open": 3.94,
    "close": 3.85,
    "volume": 1740800
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/kulr-technology-group-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.08
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/kulr-technology-group-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -26.39,
  "six_month_return": 26.23,
  "three_month_return": 90.59
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/kulr-technology-group-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 37.1,
  "total_btc_percentage": 0.005,
  "share_price_change_state": "down"
}